<!--
  ~ iparapheur Web
  ~ Copyright (C) 2019-2025 Libriciel SCOP
  ~
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  -->

<ng-container>
  <h5 class="fw-bold mb-3 mt-3" [innerText]="messages.DEFAULT_TEMPLATES"></h5>
  <form [formGroup]="defaultTemplatesForm">
    <div [ngClass]="{'flex-column': !showTemplateExamples}" class="w-100 p-0 d-flex">
      <div [ngClass]="{'pe-2 w-50': showTemplateExamples}">
        <span [innerText]="messages.SIGNATURE_TEMPLATES"></span>
        <ng-select
          [virtualScroll]="false"
          [notFoundText]="commonMessages.NOT_FOUND"
          [clearable]="false"
          id="signatureTemplates"
          class="mt-2 mb-2 w-50"
          formControlName="signatureTemplate"
          required>
          <ng-option
            *ngFor="let template of signatureTemplates"
            [value]="template"
            [innerText]="template | templateTypeName">
          </ng-option>
        </ng-select>

        <app-pdf-example
          *ngIf="showTemplateExamples"
          viewerId="signature-template-viewer"
          [lastModificationDate]="lastModificationDate"
          [pdfSource]="signatureTemplateSrc"
          [height]="'30vh'">
        </app-pdf-example>

      </div>
      <div [ngClass]="{'ps-2 w-50': showTemplateExamples}">
        <span [innerText]="messages.SEAL_TEMPLATES"></span>
        <ng-select
          [virtualScroll]="false"
          [notFoundText]="commonMessages.NOT_FOUND"
          [clearable]="false"
          id="sealTemplates"
          class="mt-2 mb-2 w-50"
          formControlName="sealTemplate"
          required>
          <ng-option
            *ngFor="let template of sealTemplates"
            [value]="template"
            [innerText]="template | templateTypeName">
          </ng-option>
        </ng-select>

        <app-pdf-example
          *ngIf="showTemplateExamples"
          viewerId="seal-template-viewer"
          [lastModificationDate]="lastModificationDate"
          [pdfSource]="sealTemplateSrc"
          [height]="'30vh'">
        </app-pdf-example>
      </div>

      <div
        *ngIf="!showTemplateExamples"
        class="alert alert-warning w-50"
        role="alert">
        <fa-icon
          class="pe-2"
          [icon]="commonIcons.WARNING_ICON">
        </fa-icon>
        {{ messages.CANNOT_SHOW_TEMPLATE_PREVIEW_WITH_MULTIPLE_TENANTS }}
      </div>

    </div>


  </form>

</ng-container>
